Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 510104 - Review Request: epic5 - an ircII chat client
Summary: Review Request: epic5 - an ircII chat client
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-07-07 17:31 UTC by John Roman
Modified: 2010-08-05 15:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-05 15:48:35 UTC


Attachments (Terms of Use)

Description John Roman 2009-07-07 17:31:27 UTC
Spec URL: http://nimbius.36bit.com/epic5.spec
SRPM URL: http://nimbius.36bit.com/epic5-1.0-1.fc11.src.rpm
Description: epic5 is the latest version of Epic, a chat client based on the ircII client.

Comment 1 Bill Nottingham 2009-07-07 17:57:36 UTC
Why not just upgrade the existing version?

Comment 2 Susi Lehtola 2009-07-08 09:21:47 UTC
vcrhonek: what do you think?

Comment 3 John Roman 2009-07-08 13:37:27 UTC
I mentioned an upgrade to the last user cited in the changelog for epic4, but no response.  4 and 5 are similar, but their scripts are not compatible.

Comment 4 Randall "Randy" Berry 2009-07-10 06:01:25 UTC
spec file is a mess use macros instead of hard coded path.

http://www.fedoraproject.org/wiki/Packaging:RPMMacros
/usr/share/epic5/script/ should be %{_datadir}/%{name}/script

Package must own all directories it creates.

http://www.fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
use %dir %{_datadir}/%{name} and %dir %{_datadir}/%{name}/script


Shorten list by using %{_datadir}/%{name}/script/*

No %changelog entry

Package does not build as is.

Comment 5 Susi Lehtola 2009-07-10 08:31:09 UTC
(In reply to comment #4)
> spec file is a mess use macros instead of hard coded path.
> 
> http://www.fedoraproject.org/wiki/Packaging:RPMMacros
> /usr/share/epic5/script/ should be %{_datadir}/%{name}/script
> 
> Package must own all directories it creates.
> 
> http://www.fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
> use %dir %{_datadir}/%{name} and %dir %{_datadir}/%{name}/script
> 
> Shorten list by using %{_datadir}/%{name}/script/*

Yes, it seems to be rather a mess. %{_datadir}/epic5/ should be owned too, so the files section would end up as

%{_bindir}/epic5
%{_bindir}/epic5-1.0
%{_datadir}/epic5/
%{_mandir}/man1/epic5.1.*
%{_libexecdir}/epic5-wserv4 <- add trailing slash if this is a directory


- The Requires
Requires:      ncurses-devel >= 5.7-2
Requires:      ruby-devel    >= 1.8.6
Requires:      perl-ExtUtils-Embed >= 1.28-69 
should be BuildRequires. Also, you probably need perl-devel.

- Contact upstream so that they fix SMP make.

- The install command should be
make install IP=$RPM_BUILD_ROOT INSTALL_PROGRAM="install -c -p -m 755" INSTALL_DATA="install -c -p -m 644"
to preserve time stamps (OK, not essential for the binaries). I have no idea why make install compiles some test program, but it isn't installed so the optflags are not needed in install.

- You could also ask upstream to change IP to the standard DESTDIR in the makefile.

Comment 6 John Roman 2009-07-10 13:10:04 UTC
Thanks very much for the valuable input! and sorry for wasting time by not reading the aforementioned docs.   

upstream maintainer has been warned of bugs, and im rebuilding the spec file to look less like the taco bell value menu.

Comment 7 Jan Klepek 2009-07-19 11:35:01 UTC
Hi,

Is this your first package? 
I'm unable to find you in packager group nor any other package review request
from you.
If yes, please go ahead
http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account
and put FE-NEEDSPONSOR into Blocks field.
if no, what is your FAS username?

Comment 8 John Roman 2009-07-19 17:05:04 UTC
applied in accordance with requirements at the given url.
blocks field populated.  anxiety abounds. 

still waiting on the upstream to fix SMP make...

Comment 9 Jan Klepek 2009-08-05 13:07:43 UTC
please don't use full path to files like:
/usr/share/epic5/script/...
which is in your %files section, use appropriate macro

Comment 10 Jan Klepek 2009-08-29 07:42:27 UTC
any update?

Comment 11 John Roman 2009-09-01 03:56:31 UTC
debugging the smp build fail with devs at epic.  cleaning up my .spec so it builds on more than my pc.

Comment 12 Mamoru TASAKA 2009-09-15 17:52:52 UTC
What is the status of this bug?

Comment 13 manuel wolfshant 2010-07-21 22:46:40 UTC
anything new or should we just close the bug?

Comment 14 manuel wolfshant 2010-07-27 13:58:17 UTC
will close the bug in one week unless we have an update by then.

Comment 15 Mamoru TASAKA 2010-08-05 15:48:35 UTC
(In reply to comment #14)
> will close the bug in one week unless we have an update by then.    

Closing as one week passed.

If someone wants to import this package into Fedora, please submit
a new review request and mark this bug as a duplicate of the new
one, thank you.


Note You need to log in before you can comment on or make changes to this bug.